Skip to main content

Information Retrieval

Process Flow​

Informed provides several GET endpoints with which you can retrieve information for previously registered applications.

GET endpoints sequence diagramGET endpoints sequence diagram

Base URL​

The table below shows the Base URL to be used with the endpoints mentioned in this guide.

EnvironmentBase URL
Staginghttps://api.staging.informediq-infra.com
Productionhttps://api.informediq.com

GET List of Applications​

Purpose​

This endpoint allows the user to retrieve a list of applications based on the provided query parameters.

Endpoint Information​

Endpoint:  /v1/income/applications

HTTP method:  GET

Parameters:

Parameter NameRequirementDescription
updated_beforeOptionalApplications updated before this timestamp

Format: YYYY-mm-dd or YYYY-mm-ddTHH:MM:SS
updated_afterOptionalApplications updated after this timestamp

Format: YYYY-mm-dd or YYYY-mm-ddTHH:MM:SS
limitOptionalMaximum numbers of applications returned in one page with a hard limit of 1000

default: 25, maximum: 1000
application_reference_idOptionalThe specific application that has this application_reference_id

If this parameter is used, the expectation changes to only having one application returned in the list of course, since application_reference_id is a unique property.

Example Endpoint​

Basic Endpoint Example​

https://api.staging.informediq-infra.com/v1/income/applications

Endpoint with Parameters Example​

https://api.staging.informediq-infra.com/v1/income/applications?updated_before=2022-09-01&limit=50

GET Request Example with cURL​

curl -u username:password https://api.staging.informediq-infra.com/v1/income/applications?updated_before=2022-09-01&limit=50

Sample Response​


{
"updated_after": "2022-01-09T09:11:38",
"updated_before": "2022-01-09T19:11:38",
"applications":
[
{
"application_id": "unique-Informed-app-id",
"application_reference_id": "partner reference id",
"application_date": "2022-01-09T10:11:38"
}
]
}

GET Single Application​

Purpose​

This endpoint will allow the user to retrieve the application details of a specific application along with the income calculation results for that application (more info here). Note that it does not return the documents associated with the application - but the documents can be retrieved with a separate call.

Endpoint Information​

Endpoint:  /v1/income/applications/<unique-Informed-app-id>

The <unique-Informed-app-id> needs to be the application_id described in the synchronous response section of the app registration guide.

HTTP method:  GET

Example Endpoint​

Basic Endpoint Example​

https://api.staging.informediq-infra.com/v1/income/applications/<unique-Informed-app-id>

GET Request Example with cURL​

curl -u username:password https://api.staging.informediq-infra.com/v1/income/applications/<unique-Informed-app-id>

Sample Response​

Full Sample Response
{
"application_id": "unique-Informed-app-id",
"last_updated_at": "2023-07-31T03:34:21Z",
"application_reference_id": "your_unique_application_id",
"application_date": "2021-05-01T09:11:38",
"applicants": {
"applicant1": {
"first_name": "Jo",
"last_name": "Boren",
"email": "jo.boren@gmail.com",
"phone": "9196247015",
"ssn": "666443906",
"date_of_birth": "1965-12-10",
"address_info": [
{
"address": {
"street_address": "8717 S 4th Ave",
"city": "Inglewood",
"state": "CA",
"zip": "90305"
},
"is_current": true,
"start_date": "2020-10-01",
"end_date": null
}
]
}
},
"income_calculations": {
"applicant1": {
"incomes": [
{
"year": 2021,
"income_sources": [
{
"source_type": "employed",
"calculated_income_amount": 69120.0,
"document_ids": [
"c9d0571f-fe7c-4f82-83bc-117b91bfaaf8"
]
}
]
}
],
"suspected_fraudulent": {
"document_ids": [

]
}
}
},
"data_sources": {
"image_files": [
{
"file_id": "cb47b001-84e1-43c2-a94e-686bd46e5bee",
"file_reference_id": "paystub.pdf"
}
],
"structured_data": [

]
}
}

GET Documents for Application​

Purpose​

This endpoint will allow the user to retrieve the associated documents for a specific application, along with the extracted information from those documents (more info here).

Endpoint Information​

Endpoint:  /v1/income/applications/<unique-Informed-app-id>/documents

The <unique-Informed-app-id> needs to be the application_id described in the synchronous response section of the app registration guide.

HTTP method:  GET

Parameters:

Parameter NameRequirementDescription
pagesOptionaltrue/false, default is false, will include pages block when this flag is true

Example Endpoint​

Basic Endpoint Example​

https://api.staging.informediq-infra.com/v1/income/applications/<unique-Informed-app-id>/documents

Endpoint with Parameters Example​

https://api.staging.informediq-infra.com/v1/income/applications/<unique-Informed-app-id>/documents?pages=true

GET Request Example with cURL​

curl -u username:password https://api.staging.informediq-infra.com/v1/income/applications/<unique-Informed-app-id>/documents
danger

There is no guarantee that the file download URL's (typically AWS S3 pre-signed URL's) will remain exactly the same for all future time. Informed reserves the right to use whatever infrastructure is most secure and efficient.

If you are trying to whitelist the download URL's, at the current time, as Amazon AWS pre-signed URL's, they will have a base domain of amazonaws.com, so the most restrictive that you should make your whitelist is *.amazonaws.com.

Sample Response​

Full Sample Response
{
"application_id": "unique-Informed-app-id",
"application_reference_id": "your_unique_application_id",
"documents": {
"paystub": [
{
"document_id": "c9d0571f-fe7c-4f82-83bc-117b91bfaaf8",
"file_ids": [
"cb47b001-84e1-43c2-a94e-686bd46e5bee"
],
"file_reference_ids": [
"paystub.pdf"
],
"url": "https://informed-techno-core-<env>-downloads.s3.amazonaws.com/123...",
"extracted_data": {
"applicants": {
"applicant1": {
"address": {
"street_address": "8717 S 4th Ave",
"street_2": null,
"city": "Inglewood",
"state": "CA",
"zip": "90305"
},
"first_name": "Jo",
"middle_name": null,
"last_name": "Boren",
"suffix": null,
"ssn": "3906"
}
},
"employer_name": "Informed, Inc.",
"pay_begin_date": "2021-03-01",
"pay_end_date": "2021-03-15",
"pay_date": "2021-03-16",
"regular_pay": {
"current": 2880.0,
"ytd": ""
},
"gross_pay": {
"current": 5392.0,
"ytd": 15976.0
},
"overtime_pay": {
"current": 1512.0,
"ytd": 3456.0
},
"garnishments": {
"current": 0.0,
"ytd": 0.0
},
"loans401_k": {
"current": 0.0,
"ytd": 0.0
},
"bonus_pay": {
"current": 1000.0,
"ytd": 1000.0
},
"commission_pay": {
"current": 0.0,
"ytd": 0.0
},
"tips_pay": {
"current": 0.0,
"ytd": 0.0
},
"pay_period_frequency": "Semimonthly",
"hours_worked": 80.0,
"sick_pay": {
"current": 0.0,
"ytd": 0.0
},
"vacation_pay": {
"current": 0.0,
"ytd": ""
},
"net_pay": {
"current": "",
"ytd": ""
},
"earnings": [

],
"deductions": [

],
"taxes": [

]
},
"updated_at": "2023-07-31T03:34:20Z",
"data_action": "create"
}
]
}
}